com.google.gwt.core.ext.linker

## Interface SymbolData

All Superinterfaces:
  java.io.Serializable

    public interface SymbolData
    extends java.io.Serializable

Provides basic information about symbols in the generated JavaScript.

See Also:
  `CompilationResult.getSymbolMap()`

### Nested Class Summary

Nested Classes
`static class` `SymbolData.ClassIdentComparator` A Comparator for use when presenting the data to humans.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getClassName()` Returns the name of the type or enclosing type if the symbol is a method or field.
`int` `getFragmentNumber()` Returns the fragment number in which the symbol is declared (for a method).
`java.lang.String` `getJsniIdent()` Returns a JSNI-like identifier for the symbol if it a method or field, otherwise `null`.
`java.lang.String` `getMemberName()` Returns the name of the member if the symbol is a method or field.
`java.lang.String` `getRuntimeTypeId()` Returns the runtime typeId.
`int` `getSourceLine()` Returns the line number on which the symbol was originally declared or `-1` if the line number is unknown.
`java.lang.String` `getSourceUri()` Returns a URI string representing the location of the source.
`java.lang.String` `getSymbolName()` Returns the JavaScript symbol this data maps to.
`boolean` `isClass()` Returns `true` if the symbol represents a class.
`boolean` `isField()` Returns `true` if the symbol represents a field.
`boolean` `isMethod()` Returns `true` if the symbol represents a method.

### Method Detail

#### getClassName

    java.lang.String getClassName()

Returns the name of the type or enclosing type if the symbol is a method or field.

#### getFragmentNumber

    int getFragmentNumber()

Returns the fragment number in which the symbol is declared (for a method).

#### getJsniIdent

    java.lang.String getJsniIdent()

Returns a JSNI-like identifier for the symbol if it a method or field, otherwise `null`.

#### getMemberName

    java.lang.String getMemberName()

Returns the name of the member if the symbol is a method or field.

#### getRuntimeTypeId

    java.lang.String getRuntimeTypeId()

Returns the runtime typeId.

#### getSourceLine

    int getSourceLine()

Returns the line number on which the symbol was originally declared or `-1` if the line number is unknown.

#### getSourceUri

    java.lang.String getSourceUri()

Returns a URI string representing the location of the source. This method will return `null` if the symbol was derived from a transient or unknown source.

#### getSymbolName

    java.lang.String getSymbolName()

Returns the JavaScript symbol this data maps to.

#### isClass

    boolean isClass()

Returns `true` if the symbol represents a class.

#### isField

    boolean isField()

Returns `true` if the symbol represents a field.

#### isMethod

    boolean isMethod()

Returns `true` if the symbol represents a method.